'use strict';

var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; };

var _theme = require('../theme');

describe('makeTheme', function () {
  it('should use custom values', function () {
    var defaultTheme = {
      '$zindex-overlay': '2050',
      '$menu-offset-width': '220px',
      '$menu-offset-nav-bg-color': 'white',
      '$menu-offset-nav-box-shadow': 'rgba(0, 0, 0, 0.156863) 0px 3px 10px, rgba(0, 0, 0, 0.227451) 0px 3px 10px',
      '$menu-offset-nav-transition': '.3s ease',
      '$overlay-bg': 'rgba(0, 0, 0, 0.3)'
    };

    expect((0, _theme.makeTheme)(defaultTheme).navigationBar).toEqual(defaultTheme);
  });
  it('should create scope', function () {
    var customTheme = {
      '$zindex-overlay': '2050'
    };
    expect(_typeof((0, _theme.makeTheme)(customTheme).navigationBar)).toEqual('object');
  });
});