'use strict';

var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; };

var _theme = require('../theme');

var _NavigationStyleguide = require('../NavigationStyleguide');

describe('makeTheme', function () {
  it('should use default values', function () {
    var defaultTheme = _NavigationStyleguide.defaultProps.theme;
    expect((0, _theme.makeTheme)().navigationStyleguide).toEqual(defaultTheme.navigationStyleguide);
  });
  it('should create scope', function () {
    expect(_typeof((0, _theme.makeTheme)().navigationStyleguide)).toEqual('object');
  });
  it('should create custom theme', function () {
    var customTheme = {
      '$nav-styleguide-height': '50%'
    };
    expect((0, _theme.makeTheme)(customTheme).navigationStyleguide['$nav-styleguide-height']).toEqual('50%');
  });
  it('should create custom theme', function () {
    var customTheme = {
      '$nav-styleguide-height': '50%'
    };
    expect((0, _theme.makeTheme)(customTheme).navigationStyleguide['$nav-styleguide-color']).toEqual('#444444');
    expect((0, _theme.makeTheme)(customTheme).navigationStyleguide['$nav-styleguide-height']).toEqual('50%');
  });
});